Summary:        Memory information as Perl module
Name:           perl-Sys-MemInfo
Version:        0.99
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Sys-MemInfo
Source0:        https://cpan.metacpan.org/authors/id/S/SC/SCRESTO/Sys-MemInfo-%{version}.tar.gz

BuildRequires:  coreutils findutils
BuildRequires:  gcc make perl-generators perl-interpreter
BuildRequires:  perl-devel perl(:VERSION) >= 5.6 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Copy) perl(DynaLoader) perl(Exporter) perl(strict)
BuildRequires:  perl(warnings) perl(Data::Dumper) perl(Test::More)
Requires:       perl-libs

%{?perl_default_filter}

%description
Sys::MemInfo return the total amount of free and used physical memory in bytes in
totalmem and freemem variables.
Total amount of free and user swap memory are alse returned in totalswap and freeswap
variables.

%prep
%autosetup -n Sys-MemInfo-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Sys*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.99-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.99-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 cunshunxia <cunshunxia@tencent.com> - 0.99-1
- initial build
